Package org.apache.sysds.common

## Enum InstructionType

- java.lang.Object
- - java.lang.Enum<InstructionType>
  - - org.apache.sysds.common.InstructionType

All Implemented Interfaces:
  `Serializable`, `Comparable<InstructionType>`

    public enum InstructionType
    extends Enum<InstructionType>

### Enum Constant Summary

Enum Constants
`AggregateBinary`
`AggregateTernary`
`AggregateUnary`
`AggregateUnarySketch`
`Append`
`Binary`
`BinUaggChain`
`Broadcast`
`Builtin`
`BuiltinNary`
`Cast`
`CentralMoment`
`Checkpoint`
`Compression`
`Covariance`
`CPMM`
`CSVReblock`
`Ctable`
`CumsumAggregate`
`CumsumOffset`
`DeCompression`
`Dnn`
`EvictLineageCache`
`FCall`
`GAlignedAppend`
`GAppend`
`Init`
`LIBSVMReblock`
`Local`
`MAPMM`
`MAPMMCHAIN`
`MAppend`
`MatrixIndexing`
`MatrixReshape`
`MMChain`
`MMTSJ`
`MultiReturnBuiltin`
`MultiReturnComplexMatrixBuiltin`
`MultiReturnParameterizedBuiltin`
`ParameterizedBuiltin`
`Partition`
`PMAPMM`
`PMM`
`PMMJ`
`Prefetch`
`QPick`
`QSort`
`Quaternary`
`Rand`
`RAppend`
`Reblock`
`Reorg`
`Reshape`
`RMM`
`SpoofFused`
`Sql`
`StringInit`
`Ternary`
`TrigRemote`
`Tsmm`
`TSMM`
`TSMM2`
`UaggOuterChain`
`Unary`
`Variable`
`Write`
`ZIPMM`

### Method Summary

All Methods Static Methods Concrete Methods
`static InstructionType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static InstructionType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AggregateBinary

    public static final InstructionType AggregateBinary

#### AggregateTernary

    public static final InstructionType AggregateTernary

#### AggregateUnary

    public static final InstructionType AggregateUnary

#### UaggOuterChain

    public static final InstructionType UaggOuterChain

#### Binary

    public static final InstructionType Binary

#### Unary

    public static final InstructionType Unary

#### Builtin

    public static final InstructionType Builtin

#### Ternary

    public static final InstructionType Ternary

#### BuiltinNary

    public static final InstructionType BuiltinNary

#### ParameterizedBuiltin

    public static final InstructionType ParameterizedBuiltin

#### MultiReturnParameterizedBuiltin

    public static final InstructionType MultiReturnParameterizedBuiltin

#### Variable

    public static final InstructionType Variable

#### Reorg

    public static final InstructionType Reorg

#### Reshape

    public static final InstructionType Reshape

#### Dnn

    public static final InstructionType Dnn

#### Quaternary

    public static final InstructionType Quaternary

#### FCall

    public static final InstructionType FCall

#### Append

    public static final InstructionType Append

#### Rand

    public static final InstructionType Rand

#### StringInit

    public static final InstructionType StringInit

#### Ctable

    public static final InstructionType Ctable

#### CentralMoment

    public static final InstructionType CentralMoment

#### Covariance

    public static final InstructionType Covariance

#### QSort

    public static final InstructionType QSort

#### QPick

    public static final InstructionType QPick

#### MatrixIndexing

    public static final InstructionType MatrixIndexing

#### MultiReturnBuiltin

    public static final InstructionType MultiReturnBuiltin

#### MultiReturnComplexMatrixBuiltin

    public static final InstructionType MultiReturnComplexMatrixBuiltin

#### Partition

    public static final InstructionType Partition

#### Compression

    public static final InstructionType Compression

#### DeCompression

    public static final InstructionType DeCompression

#### SpoofFused

    public static final InstructionType SpoofFused

#### Prefetch

    public static final InstructionType Prefetch

#### EvictLineageCache

    public static final InstructionType EvictLineageCache

#### Broadcast

    public static final InstructionType Broadcast

#### TrigRemote

    public static final InstructionType TrigRemote

#### Local

    public static final InstructionType Local

#### Sql

    public static final InstructionType Sql

#### MMTSJ

    public static final InstructionType MMTSJ

#### PMMJ

    public static final InstructionType PMMJ

#### MMChain

    public static final InstructionType MMChain

#### MAPMM

    public static final InstructionType MAPMM

#### MAPMMCHAIN

    public static final InstructionType MAPMMCHAIN

#### TSMM2

    public static final InstructionType TSMM2

#### CPMM

    public static final InstructionType CPMM

#### RMM

    public static final InstructionType RMM

#### ZIPMM

    public static final InstructionType ZIPMM

#### PMAPMM

    public static final InstructionType PMAPMM

#### Reblock

    public static final InstructionType Reblock

#### CSVReblock

    public static final InstructionType CSVReblock

#### LIBSVMReblock

    public static final InstructionType LIBSVMReblock

#### Checkpoint

    public static final InstructionType Checkpoint

#### MAppend

    public static final InstructionType MAppend

#### RAppend

    public static final InstructionType RAppend

#### GAppend

    public static final InstructionType GAppend

#### GAlignedAppend

    public static final InstructionType GAlignedAppend

#### CumsumAggregate

    public static final InstructionType CumsumAggregate

#### CumsumOffset

    public static final InstructionType CumsumOffset

#### BinUaggChain

    public static final InstructionType BinUaggChain

#### Cast

    public static final InstructionType Cast

#### TSMM

    public static final InstructionType TSMM

#### AggregateUnarySketch

    public static final InstructionType AggregateUnarySketch

#### PMM

    public static final InstructionType PMM

#### MatrixReshape

    public static final InstructionType MatrixReshape

#### Write

    public static final InstructionType Write

#### Init

    public static final InstructionType Init

#### Tsmm

    public static final InstructionType Tsmm

### Method Detail

#### values

    public static InstructionType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (InstructionType c : InstructionType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static InstructionType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null